<?php
require_once 'ApiGlobalFunctions.php';

$usuario=$_POST['uid'];
$password=$_POST['key'];
$url=$_POST['url'];
$template=$_POST['Template_ID'];
$asset=$_POST['Asset'];
//echo $template."--".$asset."<br>";
$validate=1;
if($validate==1){
	$path=explode("//",$url);
	$path=explode(".",$path[1]);
	$url="https://solucorp.globalb.co";
	$urlcurl=$url."/pdf.php";
	$data = [
    'assetid' => $asset,
    'templateid' => $template
    ];
	// Inicializar cURL
    $ch = curl_init($urlcurl);
    // Configurar opciones de cURL
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_URL, $urlcurl);
	curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: application/json'
    ]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));

// Ejecutar solicitud y obtener respuesta
$response = curl_exec($ch);

// Verificar errores
if (curl_errno($ch)) {
    echo 'Error en cURL: ' . curl_error($ch);
} else {
    // Decodificar respuesta JSON
    $result = json_decode($response, true);

    if (isset($result['base64_pdf'])) {
        // Guardar el archivo en disco como prueba
        $base=base64_decode($result['base64_pdf']);
        print_r($result);
    } else {
        echo "Respuesta del servidor:\n";
        print_r($result);
    }
}

curl_close($ch);
}




?>
